---
document: modulemd
version: 2
data:
  name: python36
  stream: "3.6"
  version: 8100020240407123453
  context: 17efdbc7
  arch: x86_64
  summary: Python programming language, version 3.6
  description: >-
    This module gives users access to the internal Python 3.6 in RHEL8, as

    well as provides some additional Python packages the users might need.

    In addition to these you can install any python3-* package available

    in RHEL and use it with Python from this module.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      mongodb: [3.6]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/3.6/
  profiles:
    build:
      rpms:
      - python36
      - python36-devel
      - python36-rpm-macros
    common:
      rpms:
      - python36
  api:
    rpms:
    - python-sqlalchemy-doc
    - python-virtualenv-doc
    - python3-PyMySQL
    - python3-bson
    - python3-distro
    - python3-docs
    - python3-docutils
    - python3-nose
    - python3-pygments
    - python3-pymongo
    - python3-pymongo-gridfs
    - python3-scipy
    - python3-sqlalchemy
    - python3-virtualenv
    - python3-wheel
    - python36
    - python36-debug
    - python36-devel
    - python36-rpm-macros
  filter:
    rpms:
    - python2-PyMySQL
    - python2-docutils
    - python2-nose
    - python2-pygments
    - python2-scipy
    - python2-sqlalchemy
    - python2-virtualenv
  buildopts:
    rpms:
      macros: >
        %_without_python2 1


        # For packages depending on python36, so that they

        # BuildRequire python36-devel/debug/rpm-macros instead of python3-*

        #

        # This won't be necessary for python37 and later. There we can

        # set %{python3_pkgversion}, because all packages will need to

        # have the pythonXY prefix. Whereas for Python 3.6 the packages

        # are split between non-modular RHEL and the python36 module,

        # and so it was easier and less confusing to keep the prefix at

        # python3- except for the devel/debug/rpm/macros packages.

        %_with_python36_module 1
  components:
    rpms:
      python-PyMySQL:
        rationale: Python adapter for the MySQL/MariaDB databases
        ref: 107e3f11f5c533781541c1b1db1862a3c96f006c
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-distro:
        rationale: Linux Distribution - a Linux OS platform information API
        ref: 5d9ebce9b9332fb7d445214013b832b09cdd7f48
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docs:
        rationale: Documentation for Python
        ref: 3d74fd9a236841f9003ad49ab8642b8af0c71342
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docutils:
        rationale: System for processing plaintext documentation
        ref: aac842a7b1d0ef0f442b70a44d5938a231d7a597
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-nose:
        rationale: Discovery-based unit test extension for Python
        ref: df2e48f5b0cc5f82c930c4b8e5337259414378bc
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pygments:
        rationale: Syntax highlighting engine written in Python
        ref: d29a0f172fd76a5a0b5aa7e76f0ee5e8973a5fd0
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pymongo:
        rationale: Python driver for MongoDB
        ref: 68271d481b5c336c458d171c8954bd6667b841fa
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-sqlalchemy:
        rationale: Modular and flexible ORM library for python
        ref: 4400da92f77e1b927d4424dc4ee54f7de3b2766d
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-virtualenv:
        rationale: Tool to create isolated Python environments
        ref: 2de367c42495d5902b080b79c14fe83cceb04b9f
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-wheel:
        rationale: Built-package format for Python
        ref: bdb55753ec280dbe0601f4c4f911d1cd80386199
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python36:
        rationale: Contains the symlink to the platform-python interpreter. Also contains
          python36-rpm-macros needed to build the remaining packages.
        ref: 8900b6305c530cb792def7478fe3609b757f9dd1
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      scipy:
        rationale: Scientific Tools for Python
        ref: b13eec85371b7be8ad23acfa3b3616747474c013
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - python-PyMySQL-0:0.10.1-2.module_el8.9.0+3700+efebe9fd.src
    - python-distro-0:1.4.0-2.module_el8.9.0+3700+efebe9fd.src
    - python-docs-0:3.6.7-2.module_el8.9.0+3700+efebe9fd.src
    - python-docutils-0:0.14-12.module_el8.9.0+3700+efebe9fd.src
    - python-nose-0:1.3.7-31.module_el8.9.0+3700+efebe9fd.src
    - python-nose-docs-0:1.3.7-31.module_el8.9.0+3700+efebe9fd.noarch
    - python-pygments-0:2.2.0-22.module_el8.9.0+3700+efebe9fd.src
    - python-pymongo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.src
    - python-pymongo-debuginfo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python-pymongo-debugsource-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python-pymongo-doc-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.noarch
    - python-sqlalchemy-0:1.3.2-3.module_el8.10.0+3769+3838165b.src
    - python-sqlalchemy-doc-0:1.3.2-3.module_el8.10.0+3769+3838165b.noarch
    - python-virtualenv-0:15.1.0-22.module_el8.9.0+3700+efebe9fd.src
    - python-virtualenv-doc-0:15.1.0-22.module_el8.9.0+3700+efebe9fd.noarch
    - python-wheel-1:0.31.1-3.module_el8.9.0+3700+efebe9fd.src
    - python3-PyMySQL-0:0.10.1-2.module_el8.9.0+3700+efebe9fd.noarch
    - python3-bson-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-bson-debuginfo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-distro-0:1.4.0-2.module_el8.9.0+3700+efebe9fd.noarch
    - python3-docs-0:3.6.7-2.module_el8.9.0+3700+efebe9fd.noarch
    - python3-docutils-0:0.14-12.module_el8.9.0+3700+efebe9fd.noarch
    - python3-nose-0:1.3.7-31.module_el8.9.0+3700+efebe9fd.noarch
    - python3-pygments-0:2.2.0-22.module_el8.9.0+3700+efebe9fd.noarch
    - python3-pymongo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-pymongo-debuginfo-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-pymongo-gridfs-0:3.7.0-1.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-scipy-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-scipy-debuginfo-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.x86_64
    - python3-sqlalchemy-0:1.3.2-3.module_el8.10.0+3769+3838165b.x86_64
    - python3-virtualenv-0:15.1.0-22.module_el8.9.0+3700+efebe9fd.noarch
    - python3-wheel-1:0.31.1-3.module_el8.9.0+3700+efebe9fd.noarch
    - python3-wheel-wheel-1:0.31.1-3.module_el8.9.0+3700+efebe9fd.noarch
    - python36-0:3.6.8-39.module_el8.10.0+3769+3838165b.src
    - python36-0:3.6.8-39.module_el8.10.0+3769+3838165b.x86_64
    - python36-debug-0:3.6.8-39.module_el8.10.0+3769+3838165b.x86_64
    - python36-devel-0:3.6.8-39.module_el8.10.0+3769+3838165b.x86_64
    - python36-rpm-macros-0:3.6.8-39.module_el8.10.0+3769+3838165b.noarch
    - scipy-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.src
    - scipy-debugsource-0:1.0.0-21.module_el8.9.0+3700+efebe9fd.x86_64
...
